# Interface Member

Represents the membership of a user in a conversation

interface Member {
channel?: MemberChannel;
id: string;
state?: MemberState;
timestamp: Nullable<MemberTimestampJS>;
user: Nullable<UserJS>;
}

#####
Index

### Properties

channel?
id
state?
timestamp
user

## Properties

### `Optional` channel

channel?: MemberChannel

The member channel

### id

id: string

The member id

### `Optional` state

state?: MemberState

The member state

### timestamp

timestamp: Nullable<MemberTimestampJS>

The member timestamp

### user

user: Nullable<UserJS>

The user associated to the member